# plot file from ./find-transitions.pl


set term pdfcairo enhanced color font "Calibri,14" size 8,5
set output 'ExperimentB-347-IW.pdf'

set encoding iso_8859_1

set style data line
set xzeroaxis
set grid x2tics

sqrtn= sqrt(30)
file='ExperimentB-347.dat'

set xtics nomirror out
set ytics out
#set key outside below horizontal maxrows 2
set key bmargin center horizontal

set xlabel "Time (steps)"
set ylabel "Agents Using Each Deception Method"

set style fill solid 1.0 noborder

set style line 1 lt 1 lc rgb "black" lw 2
set style line 2 lt 1 lc rgb "#00008b" lw 2
set style line 3 lt 1 lc rgb "#8b008b" lw 2
set style line 4 lt 1 lc rgb "#ff0000" lw 2
set style line 5 lt 1 lc rgb "#008b00" lw 2
set style line 6 lt 1 lc rgb "#88ccff" lw 2

set yrange [0:*]
set xrange [681:781]

set title "Deception Methods (Deception Cost = 1.1)"

plot file u 1:2 ti "Degradation" lw 1, \
'' u 1:3 ti "Corruption" lw 1, \
'' u 1:4 ti "Denial" lw 1, \
'' u 1:5 ti "Subversion" lw 1, \
'' u 1:6 ti "None" lw 1

#set term pngcairo enhanced truecolor crop color font "Calibri,14" size 1000,600
#set output 'ExperimentB-347-IW.png'
#replot

