# plot file from ./find-transitions.pl
set term pdfcairo enhanced color font "Calibri,14" size 8,5
set output 'ExperimentB-578-IPD.pdf'

set encoding iso_8859_1

set xzeroaxis
set grid x2tics

sqrtn= sqrt(30)
file='ExperimentB-578.dat'

set xtics nomirror out
set ytics out
#set key outside below horizontal maxrows 2
set key bmargin center horizontal

set xlabel "Time (steps)"
set ylabel "Percentage of Agents Utilising Each Deception Strategy"
set style data line


set yrange [0:50]
set xrange [1395:1495]

set title "IPD Strategies (Deception Cost = 1.9)"

plot file u 1:8 ti "Tit for Tat", \
'' u 1:9 ti "Tit for 2 Tats", \
'' u 1:7 ti "Pavlov", \
'' u 1:12 ti "All Cooperate", \
'' u 1:13 ti "All Defect", \
'' u 1:10 ti "Random", \
'' u 1:11 ti "Probabilistic"

#set term pngcairo enhanced truecolor crop color font "Calibri,14" size 1000,600 notransparent
#set output 'ExperimentB-578-IPD.png'
#replot

