# plot file from ./find-transitions.pl

set term pdfcairo enhanced color font "Calibri,14" size 8,5
set output 'ExperimentB-67-population.pdf'

set encoding iso_8859_1

set style fill transparent solid 0.6 noborder
set grid x2tics

#set style line 1 lw 1 lc "#0000ff"
#set style line 2 lw 1 lc "#000044"
#set style line 3 lw 1 lc "#cc0000"
#set style line 4 lw 1 lc "#660000"
#set style line 5 lw 1 lc "#00cc00"
#set style line 6 lw 1 lc "#006600"

file='ExperimentB-67-population.dat'

set key under

set xtics nomirror out
set ytics nomirror out

set xlabel "Generations"
set ylabel "Count"

set yrange [0:50]
set xrange [691:791]

set title "Population Groups (Deception Cost = 0.2)"

plot file using 1:2 w lines title "" ls 1, \
500 title "Cooperative+Deception" ls 1 lw 15, \
'' using 1:3 w lines t "" ls 2, \
500 title "Cooperative+None" ls 2 lw 15, \
'' using 1:4 w lines title "" ls 3, \
500 title "Exploitative+Deception" ls 3 lw 15, \
'' using 1:5 w lines t "" ls 4, \
500 title "Exploitative+None" ls 4 lw 15, \
'' using 1:6 w lines t "" ls 5, \
500 title "Random+Deception" ls 5 lw 15, \
'' using 1:7 w lines t "" ls 6, \
500 title "Random+None" ls 6 lw 15

#set term pngcairo enhanced truecolor color font "Calibri,14" size 1000,600
#set output 'ExperimentB-67-population.png'
#replot

